#
# spec file for package itstool
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           itstool
Version:        2.0.2
Release:        lp150.1.7
Summary:        Tool to translate XML documents using PO files
License:        GPL-3.0+
Group:          Development/Tools/Other
Url:            http://itstool.org
Source:         http://files.itstool.org/itstool/%{name}-%{version}.tar.bz2
BuildRequires:  libxml2-python
Requires:       libxml2-python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
ITS Tool extracts messages from XML files and outputs PO template files, then
merges translations from MO files to create translated XML files. It determines
what to translate and how to chunk it into messages using the W3C
Internationalization Tag Set (ITS).

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING COPYING.GPL3 NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/itstool.1%{?ext_man}

%changelog
* Tue Dec 24 2013 dimstar@opensuse.org
- Update to version 2.0.2:
  + Fixed crash in locale filter and drop rule (bgo#715116).
  + Don't hardcode python path (fdo#72533).
  + Updated man page.
- Drop itstool-fix-crash.patch: fixed upstream.
- No longer replace the shebang in itstool and itstool.in: the
  upstream provided solution sets it based on configure's findings.
* Mon Nov 25 2013 dimstar@opensuse.org
- Add itstool-fix-crash.patch: Fixed crash in locale filter and
  drop rule (bgo#715116).
* Sun Nov 24 2013 dimstar@opensuse.org
- Update to version 2.0.1:
  + Reworked default ITS rules for better performance.
* Thu Nov  7 2013 dimstar@opensuse.org
- Update to version 2.0.0:
  + Support for ITS 2.0 Preserve Space data category.
  + Support for ITS 2.0 Locale Filter data category.
  + Support for ITS 2.0 External Resource data category.
  + Support for ITS 2.0 ID Value data category.
  + Support for ITS 2.0 parameters, including user overrides.
  + Support for ITS 2.0 local withinText attribute.
  + Fixed handling of localization note inheritance.
  + Fixed handling of namespace prefixes on elements.
  + Added option to retain entity references in PO files.
  + Added option to load external DTDs.
  + Added built-in rules for DocBook 5.
  + Updated built-in rules to use ITS 2.0 Preserve Space and
    External Resource instead of 1.x custom extensions.
  + Excluded editor remarks and comments in built-in DocBook and
    Mallard rules with Locale Filter.
  + Made all DocBook *info children not within text in built-in
    rules.
* Wed Jun 27 2012 dimstar@opensuse.org
- Update to version 1.2.0:
  + Added new "join mode" for multilingual XML formats.
  + Correctly handle ITS version attribute.
  + Better handling of multiple localization notes.
  + XML path markers are now in dedicated comments.
  + Show language code when failing to get translation from PO.
  + Added more regression tests.
* Mon May 14 2012 vuntz@opensuse.org
- Update to version 1.1.3:
  + Handle UTF-8 in attribute values
  + Don't output non-translatable external ref messages
  + Better error handling
* Tue Mar  6 2012 coolo@suse.com
- Remove python BuildRequires and %%py_requires: we only need a
  minimal python, which libxml2-python will bring in both cases;
  and we don't need a specific version of python.
* Sun Feb  5 2012 dimstar@opensuse.org
- Update to version 1.1.2:
  + Better handling of XML errors in PO files.
* Tue Sep 20 2011 vuntz@opensuse.org
- Update to version 1.1.1:
  + Catch XML parsing errors and exit with error code
  + Fixed placeholder translation when it contains sub-elements
  + Improved autogen.sh for out of tree compilations
* Tue Jun 28 2011 dimstar@opensuse.org
- Update to version 1.1.0:
  + Added itst:context to set msgctxt
  + Added itst:drop to drop context from translations
  + Allow XML attribute to be translated
  + Allow locNotePointer to return a string
  + Allow localization notes to be space-preserving
  + Allow both XLink and child rules on its:rules
  + Fixed Unicode encoding/decoding errors
  + Added automated test suite
  + Added a man page
  + Python 3 fixes
* Tue May 24 2011 dimstar@opensuse.org
- Initial package, version 1.0.1
